Read_Plink_FAM {SKAT} | R Documentation

## Read Plink FAM and covariates files

### Description

Read Plink FAM and covariates files.

### Usage

    	Read_Plink_FAM(Filename, Is.binary=TRUE, flag1=0)
    	Read_Plink_FAM_Cov(Filename, File_Cov, Is.binary=TRUE, flag1=0, cov_header=TRUE)

### Arguments

`Filename` | input file name of plink FAM file
`Is.binary` | if TRUE, the phenotype is binary. If phenotype is continuous, it should be FALSE
`flag1` | 0 represents the default coding of unaffected/affected (1/2) (default=0), and 1 represents 0/1 coding. flag1=1 is the same as –1 flag in plink. Please see the plink manual.
`File_Cov` | an input file name of plink covariates file. The first two columns of this file should be FID and IID.
`cov_header` | a logical value indicating whether the covariate file contains a header row (default=TRUE)

### Value

A dataframe of Family ID (FID), Individual ID (IID), Paternal ID (PID), Maternal ID(MID), Sex, and Phenotype. If Read_Plink_FAM_Cov is used with a covariate file, the dataframe has covariates from the 7th column.

### Author(s)

Seunggeun Lee

[Package SKAT version 1.3.2.1 Index]